Subject: Re: bug#15949: Apparently out-of-date warning

From: Stefano Lattarini <[email-masked]>
Date: Thu, 26 Dec 2013 16:39:24 +0100

tags 15949 + notabug
close 15949
thanks

On 11/21/2013 11:05 PM, Reuben Thomas wrote:
> I am using automake 1.13.3. I noticed in the manual the following sentence
> in the section on building static libraries, which I do for my project with
> libgnu.a:
> 
> You should call 'AC_PROG_RANLIB' from your 'configure.ac' to define
> 'RANLIB' (Automake will complain otherwise).
> 
> I call AM_PROG_AR, and as far as I can see from the placement in my
> generated configure, that seems to be sufficient to define RANLIB;
> AC_PROG_RANLIB doesn't seem to be needed. At least, I get no errors, and
> the library is built.
>
But AM_PROG_AR truly does not define $RANLIB itself.  Perhaps you are
using libtool and calling AC_PROG_LIBTOOL or LT_INIT?  This would
exaplain your situation, since those macros call AC_REQUIRE on
AC_PROG_RANLIB (or define $RANLIB in a way similar to how AC_PROG_RANLIB
does it, I don't remember the exact details now).

> Can this sentence therefore be removed from the manual? I checked, and it
> is still present in current git.
> 
Give the above, I'd rather leave the sentence there :-)
Closing this bug.

Regards,
  Stefano